package com.rdiot.yx485.bean

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable


/**
 * 家庭信息
 * @author mR2hao
 * @date 2022/12/2
 */
@Serializable
data class FamilyData(
    @SerialName("ad_code")
    var adCode: String = "",
    @SerialName("address")
    var address: String = "",
    @SerialName("admin_id")
    var adminId: String = "", // 1t7svi0l6m4codj7wi6ctg1400fu5m0w
    @SerialName("admin_name")
    var adminName: String = "",
    @SerialName("city")
    var city: String = "",
    @SerialName("is_default")
    var isDefault: Boolean = false,
    @SerialName("district")
    var district: String = "",
    @SerialName("gateway")
    var gateway: String = "",
    @SerialName("is_online")
    var isOnline: Boolean = false,
    @SerialName("member")
    var member: List<MemberData> = listOf(),
    @SerialName("name")
    var name: String = "", // 我的家
    @SerialName("power")
    var power: Boolean = false,
    @SerialName("province")
    var province: String = "",
    @SerialName("qr_code")
    var qrCode: String = "", //
    @SerialName("record_id")
    var recordId: String = "", // 1t7svi0l6m4codj7wi7dd1u500cqkuzk
    @SerialName("room")
    var room: List<RoomData>? = null,
    @SerialName("icon")
    var icon: String = "", // 图片地址
) : java.io.Serializable {
    companion object {
        private const val serialVersionUID = -54L
    }

}

