package com.rdiot.yx485.bean

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

/**
 * 房间信息
 */
@Serializable
data class RoomData(
    /** 分控编号 */
    @SerialName("control_number")
    var controlNumber: String = "",
    /** 定时时长 */
    @SerialName("duration")
    var duration: Float = 0f, // 0
    /** 风速（0：自动； 1：1档； 2：2 档； 3： 3 档； 4：4 档； 5： 5 档； 6：超强档；） */
    @SerialName("fan_speed")
    var fanSpeed: Int = 1, // 0
    /** 风阀档位 */
    @SerialName("fan_value")
    var fanValue: Int = 0, // 0
    /** 家id */
    @SerialName("home_id")
    var homeId: String = "", // 1t7svi0l6m4codj7wi7dd1u500cqkuzk
    /** 家名称 */
    @SerialName("home_name")
    var homeName: String = "",
    /** 湿度 */
    @SerialName("humidity")
    var humidity: Int = 0, // 0
    /** 是否是主控（1是2否） */
    @SerialName("is_master")
    var isMaster: Boolean = false, // 1
    /** 模式（1:制冷,2:制热，3：除湿4：送风5：加湿） */
    @SerialName("mode")
    var mode: Int = 1, // 1
    /** 新风系统开关 */
    @SerialName("new_fan")
    var freshAir: Boolean = false,
    /** 睡眠系统开关 */
    @SerialName("sleep_mode")
    var sleepMode: Boolean = false,
    /** 名称 */
    @SerialName("name")
    var name: String = "", // 随意房间
    /** 主控状态 （0关 1开） */
    @SerialName("power")
    var power: Boolean = false, // 0
    /** 记录id */
    @SerialName("record_id")
    var recordId: String = "", // 1t7svi039tdcoqd4p4g2ncy100mvdglz
    /** 当前设置的温度 */
    @SerialName("set_temp")
    var setTemp: Int = 25, // 0
    /** 温度 */
    @SerialName("temperature")
    var temperature: Int = 0, // 0
    /** 空气质量 PM2.5 */
    @SerialName("air_quality")
    var pm25: Int = 0,
    /** 二氧化碳 */
    @SerialName("co2")
    var co2: Int = 0,
    /** 定时状态(1：有定时；0：无定时) */
    @SerialName("timer_status")
    var timerStatus: Boolean = false, // 0
    /** 类型 */
    @SerialName("type")
    var type: String = "",
    /** 用户id */
    @SerialName("user_id")
    var userId: String = "",
    @SerialName("code")
    var code: String = "",
    @SerialName("icon")
    var icon: String = "",

    /** 编辑模式 */
    var isEditMode: Boolean = false,

    /** 这个值是房间的，但是每个设备都需要判断，然后展示是否在线，所以在这加一个字段 */
    var isOnline: Boolean = false
) : java.io.Serializable {

    companion object {
        private const val serialVersionUID = -85L
    }


}