package com.rdiot.yx485.bean


import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

/**
 * 用户信息
 * @author mR2hao
 * @date 2022/11/21
 */
@Serializable
data class UserData(
    /** 创建时间 */
    @SerialName("created_at")
    var createdAt: String = "", // 2022-11-16T15:12:28.499+08:00

    @SerialName("creator")
    var creator: String = "",

    /** 默认家id */
    @SerialName("default_home_id")
    var defaultHomeId: String = "", // 1t7svi0l6m4codj7wi7dd1u500cqkuzk

    /** 默认家名称 */
    @SerialName("default_home_name")
    var defaultHomeName: String = "", // 我的家

    /** 密码? */
    @SerialName("password")
    var password: String = "", // ******

    /** 手机号 */
    @SerialName("phone")
    var phone: String = "", // 18689308183

    /** 头像 */
    @SerialName("photo")
    var photo: String = "",

    /** 真实姓名 */
    @SerialName("real_name")
    var realName: String = "",

    /** 记录id */
    @SerialName("record_id")
    var recordId: String = "", // 1t7svi0l6m4codj7wi6ctg1400fu5m0w

    /** 用户状态（1：启动 2：停用） */
    @SerialName("status")
    var status: Int = 0, // 1

    /** 更新时间 */
    @SerialName("updated_at")
    var updatedAt: String = "", // 2022-11-16T15:12:28.499+08:00

    /** 用户名 */
    @SerialName("user_name")
    var userName: String = "", // 18689308183

    /** 是否已经设置密码 */
    @SerialName("set_password")
    var setPwd:Boolean =false
) : java.io.Serializable {

    companion object {

        private const  val serialVersionUID = -4798L
    }

}