package com.rdiot.yx485.bean

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable


@Serializable
data class WeatherData(
    @SerialName("location")
    val location: Location? = null,
    @SerialName("now")
    val now: Now? = null
) {
    @Serializable
    data class Location(
        @SerialName("city")
        val city: String,
        @SerialName("country")
        val country: String,
        @SerialName("id")
        val id: String,
        @SerialName("name")
        val name: String,
        @SerialName("province")
        val province: String
    )

    @Serializable
    data class Now(
        /** 天气图标代码 */
        @SerialName("icon_code")
        val iconCode: String,
        /** 体感温度 */
        @SerialName("feels_like")
        val feelsLike: Int,
        /** 相对湿度 */
        @SerialName("rh")
        val rh: Int,
        /** 温度 */
        @SerialName("temp")
        val temp: Int,
        /** 天气现象 */
        @SerialName("text")
        val text: String = "未知",
        /** 更新时间 */
        @SerialName("uptime")
        val uptime: String,
        /** 风力等级 */
        @SerialName("wind_class")
        val windClass: String,
        /** 风向 */
        @SerialName("wind_dir")
        val windDir: String
    )
}